#====================== BEGIN GPL LICENSE BLOCK ======================
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
#======================= END GPL LICENSE BLOCK ========================


bl_info = {
    "name": "PhyX Drag",
    "category": "3D View",
    "description": "Easily drag objects with physics.",
    "location": "View3D > Sidebar > iwHiteRabbiT",
    "author": "xz-blender repack",
    "version": (1, 0, 4),
    "wiki_url": "https://whiterabbit-studio.com/blender",
    "doc_url": "https://whiterabbit-studio.com/blender",
    "tracker_url": "https://discord.gg/wVzQkvmqbt",
    "blender": (3, 6, 0),
}


from . import phyxdrag_operators
from . import phyxdrag_properties
from . import phyxdrag_ui
from . import phyxdrag_prefs

from .libs import tools_operators


modules = [
    phyxdrag_operators,
    phyxdrag_properties,
    phyxdrag_ui,
    phyxdrag_prefs,
    tools_operators,
]


def register():
    for module in modules:
        module.register()


def unregister():
    for module in modules:
        module.unregister()


if __name__ == "__main__":
    register()
