#====================== BEGIN GPL LICENSE BLOCK ======================
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
#======================= END GPL LICENSE BLOCK ========================


import os
import re
import bpy
from mathutils import Vector



class custom_shape_scale():
    def name():
        if bpy.app.version >= (3, 0, 0):
            return 'custom_shape_scale_xyz'

        return 'custom_shape_scale'

    
    def get(obj):
        if bpy.app.version >= (3, 0, 0):
            return obj.custom_shape_scale_xyz

        return obj.custom_shape_scale


    def set(obj, value):
        if bpy.app.version >= (3, 0, 0):
            obj.custom_shape_scale_xyz = Vector((value, value, value))
            return

        obj.custom_shape_scale = value



def get_img_name_from_filepath(filepath, UDIM):
    def repl_UDIM(matchobj):
        start = matchobj.group(1)
        end = matchobj.group(3)

        return f'{start}<UDIM>{end}'

    name = os.path.basename(filepath)
    if UDIM and bpy.app.version >= (3, 1, 0):
        name = re.sub('(.*)(1001)(\..)', repl_UDIM, name)

    return name
