#====================== BEGIN GPL LICENSE BLOCK ======================
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
#======================= END GPL LICENSE BLOCK ========================

import bpy



def register(event, handler):
    unregister(event, handler)
    event.append(handler)


def unregister(event, handler):
    if handler in event:
        event.remove(handler)            


def subscribe_to_active_obj_chg(callback, args=None):
    owner = object()

    if not args:
        args = ()

    bpy.msgbus.subscribe_rna(
        key = (bpy.types.LayerObjects, 'active'),
        owner = owner,
        args = args,
        notify = callback,
        options = {"PERSISTENT"}
    )

    return owner


def unsuscribe(owner):
    bpy.msgbus.clear_by_owner(owner)
