#====================== BEGIN GPL LICENSE BLOCK ======================
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
#======================= END GPL LICENSE BLOCK ========================


import bpy



################################################################
# Timer Operator 
previous_op = None
callback = None
operators = ['TRANSFORM_OT_translate', 'TRANSFORM_OT_rotate', 'TRANSFORM_OT_resize']
transform_operators = ['TRANSFORM_OT_translate', 'TRANSFORM_OT_rotate', 'TRANSFORM_OT_resize']
# anim_operators = ['ANIM_OT_keyframe_insert_menu', 'ACTION_OT_keyframe_insert', 'IFKU_OT_insert_key', 'IFKU_OT_switch_to_ikfk', 'TRANSFORM_OT_transform']
anim_operators = ['ANIM_OT_keyframe', 'IFKU_OT_insert_key', 'IFKU_OT_switch_to_ikfk', 'TRANSFORM_OT_transform']
graph_operators = ['GRAPH_OT']

def timer():
    global previous_op
    
    if hasattr(bpy.context.scene, 'timer_refresh_rate'):
        timer_period = 1/bpy.context.scene.timer_refresh_rate
    else:
        timer_period = 1/6.0
    
    ops = bpy.context.window_manager.operators
    
    if len(ops)<1:
        return timer_period
    
    last_op = bpy.context.window_manager.operators[-1]
    
    if previous_op == last_op:
        return timer_period
    
    previous_op = last_op

    # print(f"{last_op.bl_idname}: {last_op.name}")

    if any(op in last_op.bl_idname for op in operators):    
        callback()

    if any(op in last_op.name for op in operators):    
        callback()
    
    return timer_period