#====================== BEGIN GPL LICENSE BLOCK ======================
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
#======================= END GPL LICENSE BLOCK ========================


import bpy
from . import tools



class WM_OT_Dialog(bpy.types.Operator):
    bl_idname = "wm.dialog"
    bl_label = ""

    message: bpy.props.StringProperty(
        name = 'message',
        default = ''
    )

    title: bpy.props.StringProperty(
        name = 'title',
        default = ''
    )

    icon: bpy.props.StringProperty(
        name = 'icon',
        default = 'BLENDER'
    )

    width: bpy.props.IntProperty(
        name = 'width',
        default = 300
    )

    def draw(self, context):
        tools.label_multiline_width(self.width + 50, self.layout, self.message, False, icon=self.icon)


    def execute(self, context):
        # wm = context.window_manager
        # return wm.invoke_props_dialog(self, width=WM_OT_Dialog.width)
        return {'FINISHED'}


    def invoke(self, context, event):
        self.bl_label = self.title
        wm = context.window_manager
        return wm.invoke_props_dialog(self, width=self.width)



################################################################
# Register 
addon_keymaps = []
classes = [
    WM_OT_Dialog,
]


def register():
    tools.register(classes)


def unregister():
    tools.clean_keymap(addon_keymaps)

    tools.unregister(classes)
