#====================== BEGIN GPL LICENSE BLOCK ======================
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
#======================= END GPL LICENSE BLOCK ========================


import bpy
from .. import tools


verts = ((-0.5, -1.0, -0.5),
            (-0.5, -1.0, 0.5),
            (-0.5, 0.0, -0.5),
            (-0.5, 0.0, 0.5),
            (0.5, -1.0, -0.5),
            (0.5, -1.0, 0.5),
            (0.5, 0.0, -0.5),
            (0.5, 0.0, 0.5))


faces = ((0, 1, 3, 2),
            (2, 3, 7, 6),
            (6, 7, 5, 4),
            (4, 5, 1, 0),
            (2, 6, 4, 0),
            (7, 3, 1, 5))
                    
                    
def get_widget():
    o = get_object('CubeWidget')
    o.hide_viewport = True
    return o


def get_object(name, collection='Widgets', parent_collection=''):
    
    o = bpy.data.objects.get(name)
    if o is not None:
        return o
    
    scene = bpy.context.scene
    m = bpy.data.meshes.get(name)
    
    if m is None:
        m = bpy.data.meshes.new(name)
        m.from_pydata(verts, [], faces)
        
    o = bpy.data.objects.new(name, m)
    
    tools.moveto_collection(o, collection, parent_collection)
    return o
    

