#====================== BEGIN GPL LICENSE BLOCK ======================
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
#======================= END GPL LICENSE BLOCK ========================


import bpy
from . import phyxdrag_ui
from .libs import addon_prefs
from .libs.addon_prefs import ADDON_OT_open_keymaps
from .libs import tools



class PhyXDragAddonPreferences(addon_prefs.BaseAddonPreferences):
    bl_idname = __package__

    addon_name = __package__
    module_ui = phyxdrag_ui
    panel = phyxdrag_ui.PHYXDRAG_PT_tool_panel


    def draw(self, context):
        super().draw(context)
        layout = self.layout

        layout.separator()

        row = layout.row()
        row.label(text='Collision Margin')
        row.prop(context.scene.PhyXDragGen, 'collision_margin')

        layout.separator()

        tools.label_multiline(context, layout, phyxdrag_ui.key_desc, icon='INFO', first_line_red=False)

        layout.separator()

        op = layout.operator(ADDON_OT_open_keymaps.bl_idname, icon='SETTINGS', text='Keymap')        
        op.filter = 'phyxdrag'



################################################################
# Register 
def register():
    addon_prefs.register(PhyXDragAddonPreferences)


def unregister():
    addon_prefs.unregister(PhyXDragAddonPreferences)
